#
# spec file for package python-ipython_genutils
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-ipython_genutils
Version:        0.2.0
Release:        5.1
Summary:        Vestigial utilities from IPython
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://ipython.org
Source:         https://files.pythonhosted.org/packages/source/i/ipython_genutils/ipython_genutils-%{version}.tar.gz
# PATCH-FEATURE-UPSTREAM denose.patch gh#ipython/ipython_genutils#17 mcepl@suse.com
# Replace dependency on nose with the one on pytest
Patch0:         denose.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This contains some common utilities shared by Jupyter and IPython projects
during The Big Split. As soon as possible, those packages will remove their
dependency on this, and this package will go away.

No projects should depend on this package directly.  It will be pulled in by
whatever packages need it

%prep
%autosetup -p1 -n ipython_genutils-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LC_ALL=en_US.utf8
%pytest

%files %{python_files}
%license COPYING.md
%doc CONTRIBUTING.md README.md
%{python_sitelib}/ipython_genutils
%{python_sitelib}/ipython_genutils-%{version}.dist-info

%changelog
* Wed Dec  4 2024 Matej Cepl <mcepl@cepl.eu>
- Fix denose.patch according to advice by Miro Hrončok on
  gh#ipython/ipython_genutils#17.
* Tue Mar  5 2024 Ben Greiner <code@bnavigator.de>
- Clean specfile from bogus requirements
- Build PEP517 wheel
* Mon Jan 11 2021 Matej Cepl <mcepl@suse.com>
- Add denose.patch to remove dependency on nose
  (gh#ipython/ipython_genutils#17).
* Tue Sep 15 2020 pgajdos@suse.com
- it requires python-nose in fact
* Thu Mar 30 2017 toddrme2178@gmail.com
- Implement single-spec
- Update to 0.2.0
  * treat strings under ironpthon 2.7 as unicode, like 3.x
  * Omit missing directories from MANIFEST
* Fri Aug 21 2015 toddrme2178@gmail.com
- Add python 2.7 requirement
* Tue Jul 21 2015 toddrme2178@gmail.com
- Initial version
